Update OAuth providerCopy Pagepatch https://console.neon.tech/api/v2/projects/{project_id}/branches/{branch_id}/auth/oauth_providers/{oauth_provider_id}Updates an OAuth provider for the specified project.Path Paramsproject_idstringrequired^[a-z0-9-]{1,60}$The Neon project IDbranch_idstringrequired^[a-z0-9-]{1,60}$The Neon branch IDoauth_provider_idstringenumrequiredThe OAuth provider IDgooglegithubmicrosoftvercelAllowed:googlegithubmicrosoftvercelBody Paramsclient_idstringThe OAuth client ID registered with the provider. Omit to keep the currently configured value.client_secretstringOAuth client secret for the provider. Omit to leave the existing secret unchanged.microsoft_tenant_idstringThe tenant ID scoping the Microsoft OAuth provider. Supply this field when the provider type is microsoft; it has no effect for other provider types.Responses 200The OAuth provider has been added to the project defaultGeneral Error. The request may or may not be safe to retry, depending on the HTTP method, response status code, and whether a response was received. If no response is returned from the API, a network error or timeout likely occurred. In some cases, the request may have reached the server and been successfully processed, but the response failed to reach the client. As a result, retrying non-idempotent requests can lead to unintended results. The following HTTP methods are considered non-idempotent: POST, PATCH, DELETE, and PUT. Retrying these methods is generally not safe. The following methods are considered idempotent: GET, HEAD, and OPTIONS. Retrying these methods is safe in the event of a network error or timeout. Any request that returns a 503 Service Unavailable response is always safe to retry. Any request that returns a 423 Locked response is safe to retry. 423 Locked indicates that the resource is temporarily locked, for example, due to another operation in progress.Updated 4 months ago Add an OAuth providerDelete OAuth providerDid this page help you?YesNo